/*
 * Segment 6 Intelligente Bewertungsverfahren, SWE 6.1 Stauverlaufsanalyse
 * Copyright (C) 2007 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.ibv.anastau.bestimmungstau.indikator;

import de.bsvrz.sys.funclib.bitctrl.modell.verkehr.objekte.InneresStrassenSegment;

/**
 * Die Repräsentation eines inneren Straßensegments zur Stauobjektbestimmung.
 *
 * @author BitCtrl Systems GmbH, Peuker
 */
public class SobInneresStrassenSegment extends SobStrassenSegment {

	/**
	 * Konstruktor.
	 *
	 * @param richtung
	 *            die {@link FahrtRichtung} in der der Indikator verwendet wird
	 * @param indikator
	 *            der zu Grunde liegende Störfallindikator aus der
	 *            Datenverteilerkonfiguration
	 */
	public SobInneresStrassenSegment(final FahrtRichtung richtung, final InneresStrassenSegment indikator) {
		super(richtung, indikator);
	}

	@Override
	public final InneresStrassenSegment getIndikator() {
		return (InneresStrassenSegment) getUsedIndikator();
	}

	@Override
	public final double getLaenge() {
		return getIndikator().getLaenge();
	}
}
